<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| CHANGELOG:
| 06.09.06 - Added sub categories and navigation for TWB Articles Infusion
| Len Johnson: http://www.web-bureau.com
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."articles/locale/".LOCALESET."news-articles.php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."articles/locale/".LOCALESET."news-articles.php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."articles/locale/English/news-articles.php";
}

if (!checkRights("AC") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");
if (isset($cat_id) && !isNum($cat_id)) fallback("index.php");

if (isset($status)) {
	if ($status == "deln") {
		$title = $locale['articles_admin_450'];
		$message = "<b>".$locale['articles_admin_451']."</b><br>\n".$locale['articles_admin_452'];
	} elseif ($status == "dely") {
		$title = $locale['articles_admin_450'];
		$message = "<b>".$locale['articles_admin_454']."</b>";
	}
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if (isset($action) && $action == "delete") {
	$result = dbquery("SELECT * FROM ".$db_prefix."articles WHERE article_cat='$cat_id'");
	if (dbrows($result) != 0) {
		redirect(FUSION_SELF.$aidlink."&status=deln");
	} else {
		$result = dbquery("DELETE FROM ".$db_prefix."article_cats WHERE article_cat_id='$cat_id'");
		redirect(FUSION_SELF.$aidlink."&status=dely");
	}
} else {
	if (isset($_POST['save_cat'])) {
		$cat_name = stripinput($_POST['cat_name']);
		$cat_description = stripinput($_POST['cat_description']);
		$cat_access = isNum($_POST['cat_access']) ? $_POST['cat_access'] : "0";

        // mod
        $cat_parent = isNum($_POST['cat_parent']) ? $_POST['cat_parent'] : "0";
        // END mod

		if (isNum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "1") {
			$cat_sorting = "article_id ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else if (isNum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "2") {
			$cat_sorting = "article_subject ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else if (isNum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "3") {
			$cat_sorting = "article_datestamp ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else {
			$cat_sorting = "article_subject ASC";
		}
		if ($action == "edit") {
			$result = dbquery("UPDATE ".$db_prefix."article_cats SET article_cat_name='$cat_name', article_cat_description='$cat_description', article_cat_sorting='$cat_sorting', article_cat_access='$cat_access', article_cat_parent='$cat_parent' WHERE article_cat_id='$cat_id'");
		} else {
			$result = dbquery("INSERT INTO ".$db_prefix."article_cats (article_cat_name, article_cat_description, article_cat_sorting, article_cat_access, article_cat_parent) VALUES ('$cat_name', '$cat_description', '$cat_sorting', '$cat_access', '$cat_parent')");
		}
		redirect("article_cats.php?aid=".iAUTH);
	}
	if (isset($action) && $action == "edit") {
		$result = dbquery("SELECT * FROM ".$db_prefix."article_cats WHERE article_cat_id='$cat_id'");
		$data = dbarray($result);
		$cat_name = $data['article_cat_name'];
		$cat_description = $data['article_cat_description'];
		$cat_sorting = explode(" ", $data['article_cat_sorting']);
		if ($cat_sorting[0] == "article_id") { $cat_sort_by = "1"; }
		if ($cat_sorting[0] == "article_subject") { $cat_sort_by = "2"; }
		if ($cat_sorting[0] == "article_datestamp") { $cat_sort_by = "3"; }
		$cat_sort_order = $cat_sorting[1];
		$cat_access = $data['article_cat_access'];

        // mod
		$cat_parent = $data['article_cat_parent'];
        // END mod

		$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;cat_id=".$data['article_cat_id'];
		opentable($locale['articles_admin_455']);
	} else {
		$cat_name = "";
		$cat_description = "";
		$cat_sort_by = "2";
		$cat_sort_order = "ASC";
		$cat_access = "";

        // mod
        $cat_parent = "";
        // END mod

		$formaction = FUSION_SELF.$aidlink;
        // twb mod
		opentable($locale['articles_admin_456']);
        echo '<ul><li><a href="admin.php'.$aidlink.'">'.$locale['articles_admin_twb_1'].'</a></li></ul>';
        // END twb mod
	}
	$user_groups = getusergroups(); $access_opts = ""; $sel = "";
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($cat_access == $user_group['0'] ? " selected" : "");
		$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	echo "<form name='addcat' method='post' action='$formaction'>
<table align='center' cellpadding='0' cellspacing='0' width='400'>
<tr>
<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['articles_admin_457']."</td>
<td class='tbl'><input type='text' name='cat_name' value='$cat_name' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['articles_admin_458']."</td>
<td class='tbl'><input type='text' name='cat_description' value='$cat_description' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['articles_admin_467']."</td>
<td class='tbl'><select name='cat_sort_by' class='textbox'>
<option value='1'".($cat_sort_by == "1" ? " selected" : "").">".$locale['articles_admin_468']."</option>
<option value='2'".($cat_sort_by == "2" ? " selected" : "").">".$locale['articles_admin_469']."</option>
<option value='3'".($cat_sort_by == "3" ? " selected" : "").">".$locale['articles_admin_470']."</option>
</select> -
<select name='cat_sort_order' class='textbox'>
<option value='ASC'".($cat_sort_order == "ASC" ? " selected" : "").">".$locale['articles_admin_471']."</option>
<option value='DESC'".($cat_sort_order == "DESC" ? " selected" : "").">".$locale['articles_admin_472']."</option>
</select></td>
</tr>
<tr>
<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['articles_admin_465']."</td>
<td class='tbl'><select name='cat_access' class='textbox'>
$access_opts</select></td>
</tr>

<!-- select box mod -->
<tr>
<td width='1%' class='tbl' style='white-space:nowrap'>Sub Kategorie</td>
<td class='tbl'><select name='cat_parent' class='textbox'>
<option value='' selected>".$locale['articles_admin_twb_3']."</option>
";
	$result = dbquery("SELECT * FROM ".$db_prefix."article_cats ORDER BY article_cat_name");
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
	    	echo "<option value=".$data['article_cat_id'].">".$data['article_cat_name']."</option>";
        }
    }
echo "</select>\n
	</td>\n
</tr>\n
<!-- END select box mod -->\n
<tr>
<td align='center' colspan='2' class='tbl'>
<input type='submit' name='save_cat' value='".$locale['articles_admin_459']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	tablebreak();
	opentable($locale['articles_admin_460']);
	echo "<table align='center' cellpadding='0' cellspacing='1' width='400' class='tbl-border'>\n";
	$result = dbquery("SELECT * FROM ".$db_prefix."article_cats ORDER BY article_cat_name");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>
<td class='tbl2'>".$locale['articles_admin_461']."</td>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['articles_admin_466']."</td>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['articles_admin_462']."</td>
</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>
<td class='$cell_color'><b>".$data['article_cat_name']."</b><br>
<span class='small'>".trimlink($data['article_cat_description'], 45)."</span></td>
<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>".getgroupname($data['article_cat_access'])."</td>
<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;cat_id=".$data['article_cat_id']."'>".$locale['articles_admin_509']."</a> -
<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;cat_id=".$data['article_cat_id']."'>".$locale['articles_admin_510']."</a></td>
</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr><td align='center' class='tbl1'>".$locale['articles_admin_518']."</td></tr>\n</table>\n";
	}
	closetable();
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>