<?php
error_reporting (E_ALL);
/**
 * priamos.php
 * This file is part of PRIAMOS
 *
 * @package    : PRIAMOS
 * @purpose    : Functions
 * @copyright  : (C) 2006 Len Johnson
 * @support    : http://www.web-bureau.com
 * @license    : Released under the terms & conditions of v2 of the
 *               GNU General Public License. For details refer to
 *               the included gpl.txt file or visit http://gnu.org
 * @version    : $Id: priamos.php,v 1.0.0 $
 */

/**
 * @ignore
 */

function most_recent_article($locale) {
	$start = 0;
	$items = 1;
	$result = dbquery("SELECT ta.*,tac.*, tu.user_id,user_name
	                    FROM ".DB_PREFIX."articles ta
	                    INNER JOIN ".DB_PREFIX."article_cats tac
	                    ON ta.article_cat=tac.article_cat_id
	                    LEFT JOIN ".DB_PREFIX."users tu
	                    ON ta.article_name=tu.user_id
	                    WHERE ".groupaccess('article_cat_access')."
	                    ORDER BY article_datestamp
	                    DESC LIMIT $start,$items"
	);

	if (dbrows($result) != 0) {
		opentable("Most Recent");
	    while ($data = dbarray($result)) {
	        $article_id = $data['article_id'];
	        $article_subject = stripslashes($data['article_subject']);
	        $article_cat_id = $data['article_cat_id'];
	        $article_cat_name = stripslashes($data['article_cat_name']);
	        $article_snippet = stripslashes($data['article_snippet']);
	        $article_user_id = $data['user_id'];
	        $article_user_name = $data['user_name'];
	        $article_date = $data['article_datestamp'];
	        $article_reads = $data['article_reads'];
	        $article_comments = dbcount("(comment_id)", "comments", "comment_type='A'
	                                        AND comment_item_id='".$data['article_id']."'");
	        $article_allow_comments = $data['article_allow_comments'];
	        $theme = THEME;
	        $locale_041 = $locale['041'];
	        $showdate = showdate("longdate", $article_date);
	        $locale_040 = $locale['040'];
	        $locale_042 = $locale['042'];
	        $locale_044 = $locale['044'];
        }
		include 'html/most_recent_article_html.php';
		echo $most_recent;
		closetable();
	} else {
		echo '';         
    }
}

function priamos_params($external) {
    foreach ($_GET as $key => $val) {
        if (!isNum($val) || !in_array($key,$external)) {
	        fallback('index.php');
        }
    }
    foreach ($_POST as $key => $val) {
        if (!isNum($val) || !in_array($key,$external)) {
	        fallback('index.php');
        }
    }
}

function cat_info($cat_id) {
	$article_cat_info = article_cat_info($cat_id);
	$info['article_cat_name'] = $article_cat_info['article_cat_name'];
	$info['parent_id'] = $article_cat_info['article_cat_parent'];

	$article_parent_info = article_cat_info($article_cat_info['article_cat_parent']);
	$info['parent_name'] = $article_parent_info['article_cat_name'];
	$info['g_parent_id'] = $article_parent_info['article_cat_parent'];

	return $info;
}

function article_cat_info($cat_id) {
    $result = dbquery("SELECT article_cat_name, article_cat_parent
                        FROM ".DB_PREFIX."article_cats
                        WHERE article_cat_id='$cat_id'");
    $data = dbrows($result);
    if ($data != null) {
        return dbarray($result);
    } else {
        return false;
    }
}

function articles_navigation($locale) {
    $site_url = BASEDIR.'index.php';
    $site_name = PRIAM_SITENAME;
    $articles_404 = $locale['articles_404'];
    $articles_400 = $locale['articles_400'];

    include 'html/navigation_html.php';
    echo $navigation;
}

function article_statistics($locale,$cat_id,$cat_info) {
    $articles_405 = $locale['articles_405'];
    $articles_406 = $locale['articles_406'];
    if ($cat_id) {
        $conditions = "article_cat='$cat_id' ";
        $result = dbquery("SELECT SUM(article_reads)
                            FROM ".DB_PREFIX."articles
                            WHERE article_cat = '$cat_id'");
	$feedlink = '?cat_id='.$cat_id;
    } else {
        $conditions = '';
        $result = dbquery("SELECT SUM(article_reads)
                            FROM ".DB_PREFIX."articles");
	$feedlink = '';
    }

    $rows = dbrows($result);
    if ($rows != 0) {

    	$num_count = dbcount("(article_cat)", "articles", $conditions);
    	$theme = PRIAM_THEME;

	    if ((isset($cat_info['parent_id']) && $cat_info['parent_id'] != null) && $cat_id !== '0') {
	        $article_cat_parent = $cat_info['parent_id'];
	        if($article_cat_parent == '0') {
	            $cat_parent_link = '';
	            $article_parent_name = $locale['articles_400'];
	            $article_cat_name = $cat_info['article_cat_name'];
	            $arrow = 'up';
	        } else {
	            $cat_parent_link = '?cat_id='.$article_cat_parent;
	            $article_parent_name = $cat_info['parent_name'];
	            $article_cat_name = $cat_info['article_cat_name'];
	            $arrow = 'up';
	        }
	    } else {
	        $cat_parent_link = '';
	        $article_parent_name = '';
	        $article_cat_name = $locale['articles_400'];
	    }

    	$articles_407 = $locale['articles_407'];

    	$i_alt = dbresult($result,0);
    	$i_alt = $i_alt ? $i_alt : "0";

    	include 'html/statistics_html.php';
    	echo $statistics;

	    article_reads($locale,$cat_id);
	    article_searchbox($locale,"a");
	}
}

function article_subcategories($locale,$cat_id) {
    $result7 = dbquery("SELECT *
                        FROM ".DB_PREFIX."article_cats
                        WHERE ".groupaccess('article_cat_access')."
                        AND article_cat_parent = '$cat_id'
                        ORDER BY article_cat_name");
    $rows = dbrows($result7);
    if ($rows != 0) {
		$counter = 0; $columns = 2;
        opentable("Categories");

        include 'html/subcategories_html.php';
        echo $subcategories1;

        while ($data = dbarray($result7)) {
            $subcategories_num = dbcount("(article_cat)", "articles", "article_cat='"
                .$data['article_cat_id']."'");
			//if (!$subcategories_num) continue;
            $subcategories_url = FUSION_SELF.'?cat_id='.$data['article_cat_id'];
            $subcat_name = $data['article_cat_name'];
            $theme = PRIAM_THEME;
            if ($data['article_cat_description']) {
                $subcat_description = $data['article_cat_description'];
            } else {
                $subcat_description = '';
            }
            $articles_416 = $locale['articles_416'];
            $articles_412 = $locale['articles_412'];

            include 'html/subcategories_info_html.php';

            if ($counter != 0 && ($counter % $columns == 0)) {
        		echo $subcategories2;
            }

        	echo $subcategories3;
			$counter++;
        }
        include 'html/subcategories_html.php';
        echo $subcategories4;
		closetable();
		tablebreak();
    } else {
        echo '';
    }
}

function article_list($rowstart,$cat_id,$locale) {
    $result8 = dbquery("SELECT article_cat_access, article_cat_sorting
                        FROM ".DB_PREFIX."article_cats
                        WHERE article_cat_id='$cat_id'");
    if (dbrows($result8) != 0) {
        $cdata = dbarray($result8);
        if (checkgroup($cdata['article_cat_access'])) {
            $res = 1;
            $rows = dbcount("(article_id)", "articles", "article_cat='$cat_id'");
            if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
            if ($rows != 0) {
                $i = 1;
                $result9 = dbquery("SELECT article_datestamp,article_subject,
                                    article_snippet,article_reads,article_id
                                    FROM ".DB_PREFIX."articles
                                    WHERE article_cat='$cat_id'
                                    ORDER BY ".$cdata['article_cat_sorting']."
                                    LIMIT $rowstart,15");
                $numrows = dbrows($result9);
                while ($data = dbarray($result9)) {
                    if ($data['article_datestamp']+604800 > time()+
                    (PRIAM_TIMEOFFSET*3600)) {
                        $isnew = '['.$locale['articles_402'].']';
                    } else {
                        $isnew = '';
                    }

                    $article_subject = $data['article_subject'];
                    $article_snippet = stripslashes($data['article_snippet']);
                    $article_reads = $data['article_reads'];
                    $article_id = $data['article_id'];
                    $articles_410 = $locale['articles_410'];
                    $articles_419 = $locale['articles_419'];

                    include 'html/list_articles_html.php';
                    echo $list_articles;

                    $i++;
                }
                if ($rows > 15) {
                    $pagenav = makePageNav($rowstart,15,$rows,3,FUSION_SELF."?cat_id=$cat_id&");
                    include 'html/show_nav_html.php';
                    echo $show_nav;
                } else {
                    $pagenav = '';
                    include 'html/show_nav_html.php';
                    echo $show_nav;
                }
            } else {
                $articles_403 = $locale['articles_403'];
                include 'html/no_articles_html.php';
                echo $no_articles;
            }
        }
    }
}

function article_reads($locale,$cat_id) {
    if ($cat_id) {
    $result1 = dbquery("SELECT article_id,article_subject,article_reads
                        FROM ".DB_PREFIX."articles
                        WHERE article_cat = '$cat_id'
                        ORDER BY article_reads
                        DESC LIMIT 0,1");

    } else {
    $result1 = dbquery("SELECT article_id,article_subject,article_reads
                        FROM ".DB_PREFIX."articles
                        ORDER BY article_reads
                        DESC LIMIT 0,1");
    }
    if (dbrows($result1) != null) {
        while ($data = dbarray($result1)) {
            $articles_408 = $locale['articles_408'];
            $article_link = "readarticle.php?article_id=".$data['article_id'];
            $article_subject = trimlink($data['article_subject'], 100);
            if ($data['article_reads']) {
                $article_reads = $data['article_reads'];
            } else {
                $article_reads = '0';
            }

            include 'html/reads_html.php';
            echo $reads;
        }
    }
}

function article_postlink($aid,$locale,$a) {
    if (checkgroup(PRIAM_GP_LEVEL)) {
        if (iADMIN) {
            $admin_post_link = 'admin.php'.$aid;
            $articles_415 = $locale['articles_415'];

            include 'html/postlink_html.php';
            echo $postlink;
        } else {
            $member_post_link = '../../submit.php?stype='.$a;
            $articles_411 = $locale['articles_411'];

            include 'html/postlink_mem_html.php';
            echo $postlink_mem;
        }
    } else {
        echo  '';
    }
}

function article_searchbox($locale,$type) {
    $articles_409 = $locale['articles_409'];

    include 'html/searchbox_html.php';
    echo $searchbox;
}
?>